package com.red.circle.other.app.service.user.user;

import com.red.circle.common.business.dto.cmd.AppExtCommand;
import com.red.circle.common.business.dto.cmd.UserIdCmd;
import com.red.circle.common.business.enums.SVIPLevelEnum;
import com.red.circle.other.app.dto.clientobject.user.user.UserSVipCO;

/**
 * 用户SVip
 *
 * @author pengshigang on 2022/8/22
 */
public interface UserSVipService {

  SVIPLevelEnum checkUserSVip(UserIdCmd cmd);

  UserSVipCO getSVipProfileByUserId(AppExtCommand cmd);

  UserSVipCO exchange(AppExtCommand cmd);


}
